/*--------------------------文档信息-------------------------------------------
///功能：      资金报表
///创建人：  王群
///创建时间：2011年05月31日
///修改人：  --------------
///修改时间：--------------
///详细说明：--------------
-----------------------------------------------------------------------------*/
//页面全局变量的定义
var strTableP0516 = "Tp0516";       //表格ID
var objSelRowP0516 = {};              //选择行的数据
var intSelRowIDP0516 = 0;           //选择行的ID
var objWhereJsonP0516 = {};       //记录查询时的条件

/*↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓**事件方法 开始**↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓*/
//页面事件的加载
function pageLoad_P0516() {
    try {
        //选择日期范围
        loadDateExtent_P0516();
        //加载数据
        searchDataClick_P0516();
    } catch (e) { }
}

//查询按钮的事件
function searchDataClick_P0516(flag) {
    try {
        var strWhereJson = "";      //存放当前的查询条件
        var objConfig = {};             //存放列配置
        var objResult = {};             //存放查询结果


        //清空选择行信息
        intSelRowIDP0516 = 0;
        objSelRowP0516 = {};

        //查询条件的取得
        if ($("#cmbDateExtentP0516").combobox("getValue") == "历史以来") {
            strWhereJson = "{\"sdate\":\"0\",";
            strWhereJson += "\"edate\":\"0\"}";
        }
        else {
            strWhereJson = "{\"sdate\":\"" + $("#dateStartTimeP0516").val() + "\",";
            strWhereJson += "\"edate\":\"" + $("#dateEndTimeP0516").val() + "\"}";
        }
        //记录查询条件
        objWhereJsonP0516 = ParseData(strWhereJson.replace("}",
        ",\"dname\":\"" + $("#cmbDateExtentP0516").combobox("getValue") + "\"}"));
        objConfig = ParseData(window.external.DoOptions(strTableP0516, "GetTableConfig", "{}"));

        //格式化表格中的数据
        setData_P0516(objConfig.colModel);
        objResult = ParseData(window.external.DoOptions(strTableP0516, "GetList", strWhereJson));
        //创建表格
        if (flag == "1") {
            loadTreeData(strTableP0516, objResult.Records);
        }
        else {
            createTreeGrid_P0516(strTableP0516, objConfig.colNames, objConfig.colModel, objResult.Records, "kmmc");
            //调整表格的高度
            resizeGrid(strTableP0516, false, false);
            loadTreeData(strTableP0516, objResult.Records);
        }
        //调整表格的宽度
        resizeGridScroll(strTableP0516);
        // 释放内存
        strWhereJson = null;
        objConfig = null;
        objResult = null;
    } catch (e) { }
}

//查看明细按钮事件
function viewDetail_P0516() {
    if (intSelRowIDP0516 > 0) {
        //改变标签的Name 
        $(window.parent.document).find("#span_516").text("查看明细");

        //选择的日期
        $(window.parent.document).find("#idIframe-51601").attr("dname", objWhereJsonP0516.dname);
        $(window.parent.document).find("#idIframe-51601").attr("sdate", objWhereJsonP0516.sdate);
        $(window.parent.document).find("#idIframe-51601").attr("edate", objWhereJsonP0516.edate);
        $(window.parent.document).find("#idIframe-51601").attr("kmdm", objSelRowP0516.kmdm);

        //改变标签Iframe的Src
        $(window.parent.document).find("#idIframe-516").css("display", "none"); //隐藏统计页面
        $(window.parent.document).find("#idIframe-51601").css("display", ""); //显示明页面
        $(window.parent.document).find("#idIframe-51601").attr("src", "05/p051601.htm");

        //调整iframe的高度
        $(window.parent.document).find("#idIframe-51601").load(function () {
            var iHeight = window.parent.document.documentElement.clientHeight - window.parent._iFrmHeight;
            $(this).height(iHeight);
        });
    }
    else {
        //"请选择数据！"
        window.parent.cihoAlert(msg.other.selDataRow);
    }
}

/*↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓**事件方法 开始**↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓*/


/*↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓**自定义方法 开始**↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓*/
//格式化表格中的数据的方法
function setData_P0516(objP0516) {
    for (var i = 0; i < objP0516.length; i++) {     //money的格式化
        if (objP0516[i].name == "zjfse" || objP0516[i].name == "jsfse" || objP0516[i].name == "qcye" || objP0516[i].name == "qcs") {
            objP0516[i].formatter = formatterP0516Money;
        }
    }
}

//日期范围修改方法
function dateTimeChange_P0516() {
    if ($("#cmbDateExtentP0516").combobox("getText") != "自定义") {
        $("#cmbDateExtentP0516").combobox("setValue", "");
        $("#cmbDateExtentP0516").combobox("setText", "自定义");
    }
}

//选择日期范围的方法
function loadDateExtent_P0516() {
    //设置默认日期为本月
    dateExtentCalculation("今天", "dateStartTimeP0516", "dateEndTimeP0516");

    //添加选择事件
    $("#cmbDateExtentP0516").combobox({
        width: _iWidth100,
        listWidth: _iWidth100,
        valueField: "dm",
        textField: "mc",
        panelHeight: 102,
        editable: false,
        onSelect: function (option) {
            dateExtentCalculation(option.dm, "dateStartTimeP0516", "dateEndTimeP0516");
        },
        onChange: function (newValue, oldValue) {
            if (newValue) {
                if (newValue == "历史以来") {           //当快捷日期为【历史以来】时，把日期控件设置为灰化状态
                    $("#dateStartTimeP0516").attr("disabled", true);
                    $("#dateEndTimeP0516").attr("disabled", true);
                } else {                                               //当快捷日期不为【历史以来】时，把日期控件的灰化状态去掉
                    $("#dateStartTimeP0516").attr("disabled", false);
                    $("#dateEndTimeP0516").attr("disabled", false);
                }
            }
        },
        enterDown: function () {
            dateExtentCalculation($("#cmbDateExtentP0516").combobox("getValue"), "dateStartTimeP0516", "dateEndTimeP0516");
        }
    });
    //加载数据今天/上一年/前年/历史以来 系统默认“今天”
    $("#cmbDateExtentP0516").combobox("loadData",
    [{ dm: "今天", mc: "今天", selected: true },
    { dm: "上一年", mc: "上一年" },
    { dm: "前年", mc: "前年" },
    { dm: "历史以来", mc: "历史以来"}]);
}

//money的格式化方法
function formatterP0516Money(cellvalue, options, rowObject) {
    if (isNaN(parseFloat(cellvalue))) {
        cellvalue = 0;
    }
    return parseFloat(cellvalue).toFixed(window.parent.strMoneyPlace);
}

//当基本资料数据有修改时 刷新相关的combobox方法
function refreshMyCombobox(strModels) {
    if ($(window.parent.document).find('#idIframe-51601').length > 0) {
        $(window.parent.document.getElementById("idIframe-51601").contentWindow.document.getElementById("idRefreshCombobox")).val(strModels[0]);
        $(window.parent.document.getElementById("idIframe-51601").contentWindow.document.getElementById("idRefreshCombobox")).click();
    }
}

/*↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓**自定义方法 结束**↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓↓*/
///参数：
///     ①strGridID:表格ID
///     ②objColNames:表格列名
///     ③objColModel:表格列属性
///     ④objJsonDatas:表格数据源，Json格式
///     ⑤strColExpandKey:伸缩列的字段名称
///     ⑥funcGridComplete:表格的gridComplete事件方法，此参数类型是方法对象
///     ⑦funcSelectRow:表格的onSelectRow事件方法，此参数类型是方法对象
///返回值：无
///-----------------------------------------------------------------------------*/
function createTreeGrid_P0516(strTableID, objColNames, objColModel, objJsonDatas, strColExpandKey) {
    $("#" + strTableID).GridUnload();           //删除旧表格
    if (objJsonDatas == "{}") {                      //当数据集为空时，格式化数据集的空值
        objJsonDatas = [];
    }
    //创建表格
    $("#" + strTableID).jqGrid({
        datatype: "local",
        colNames: objColNames,
        colModel: objColModel,
        data: objJsonDatas[0],
        treeGrid: true,
        treedatatype: "local",
        treeGridModel: 'adjacency',
        ExpandColumn: strColExpandKey,
        ExpandColClick: false,
        editable: true,
        rownumbers: false,
        rowNum: 999999,
        sortname: "kmdm",
        localReader: { id: "bh" },
        ExpandColClick: true,
        autowidth: true,
        footerrow: false,
        onSelectRow: function (rowId) {
            intSelRowIDP0516 = rowId;
            objSelRowP0516 = $(this).getRowData(rowId);
        },
        ondblClickRow: function () {
            viewDetail_P0516();
        }
    });
    //调整表格的高度
    resizeGrid(strTableP0516, false, false);
    //调整表格的宽度
    resizeGridScroll(strTableP0516);
}

